const test = require('tape')
const helpers = require('./helpers')

test('comparison functions', t => {
  t.plan(5)

  let result = helpers.compile('(= 1 2)')
  t.equal(result, '#f')

  result = helpers.compile('(> 5 4)')
  t.equal(result, '#t')

  result = helpers.compile('(< 58 10)')
  t.equal(result, '#f')

  result = helpers.compile('(>= 5 5)')
  t.equal(result, '#t')

  result = helpers.compile('(<= 10 10)')
  t.equal(result, '#t')
})
